Show / Hide Table of Contents

# Class OpenIddictExceptions.ValidationException

Represents an OpenIddict validation exception.

##### Inheritance

System.Object
System.Exception
OpenIddictExceptions.ValidationException

##### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.ToString()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.Message
System.Exception.Data
System.Exception.InnerException
System.Exception.TargetSite
System.Exception.StackTrace
System.Exception.HelpLink
System.Exception.Source
System.Exception.HResult
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ValidationException : Exception, ISerializable, _Exception

### Constructors

#### ValidationException(String)

Creates a new OpenIddictExceptions.ValidationException.

##### Declaration

    public ValidationException(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.

#### ValidationException(String, ImmutableArray<ValidationResult>)

Creates a new OpenIddictExceptions.ValidationException.

##### Declaration

    public ValidationException(string message, ImmutableArray<ValidationResult> results)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.
ImmutableArray<ValidationResult> | results | The validation results.

#### ValidationException(String, ImmutableArray<ValidationResult>, Exception)

Creates a new OpenIddictExceptions.ValidationException.

##### Declaration

    public ValidationException(string message, ImmutableArray<ValidationResult> results, Exception exception)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The exception message.
ImmutableArray<ValidationResult> | results | The validation results.
System.Exception | exception | The inner exception.

### Properties

#### Results

Gets the validation results associated with this exception.

##### Declaration

    public ImmutableArray<ValidationResult> Results { get; }

##### Property Value

Type | Description
--- | ---
ImmutableArray<ValidationResult> |

### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception